/* Estilos principales */
body {
    padding: 0;
    min-width:325px;
}
.login-container {
    display: flex;
    justify-content: center;
    align-items: center;
    height: 100vh;
}

.logo {
    text-align: center;
    margin-bottom: 20px;
    margin-top:30px;
}
.logo span {
    font-family: "DM Serif Display", serif;
    font-weight: 400;
    font-style: normal;
    font-size: 40px;
    color: #fff;
    background: #000;
    display: inline-block;
    line-height: 1.8;
    padding: 0 16px;
}
.logo a:hover {
    text-decoration:none !important;
}
.login {
    border: 1px solid rgba(0, 0, 0, .125);
    border-radius: 5px;
    width:300px;
    margin:0 auto 16px auto;
}

.table-responsive {
    width:100%;
}

.page-item.active .page-link {
    background-color: #343a40 !important;
    border-color: #343a40 !important;
}
.page-link {
    color: #343a40 !important;
}
.page-item.active .page-link {
    color: #fff !important;
}
.page-item.disabled {
    opacity:0.4;
}
.floating-circle {
    display: none;
}

.toast-container {
    position: fixed;
    top: 20px;
    right: 20px;
    z-index: 1050;
}

.stats-box {
    display: flex;
    justify-content: space-around;
    margin: 0 0 20px 0;
}
.box {
    background-color: #f0f0f0;
    border-radius: 8px;
    box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
    padding: 10px 20px;
    flex: 1;
    margin: 0 10px;
    transition: background-color 0.3s ease;
}
.box:hover {
    background-color: #e0e0e0;
}
.box-content {
    text-align: center;
}
.stats-title {
    display: block;
    font-size: 14px;
    color: #666;
    margin-bottom: 5px;
}
.stats-count {
    font-size: 20px;
    font-weight: bold;
    color: #333;
}

.pull-to-refresh {
    position: fixed;
    top: -50px;
    left: 50%;
    transform: translateX(-50%);
    background-color: #28a745;
    color: white;
    text-align: center;
    border-radius: 25px;
    transition: top 0.3s ease;
    z-index: 1050;
    height:50px;
    line-height:50px;
    padding:0 20px;
    font-weight:bold;
}
.pull-to-refresh.show {
    top: 20px;
}

a {
    text-decoration: none;
}
a:hover {
    text-decoration: underline;
}
a.no-underline:hover {
    text-decoration: none;
}

.dropdown-item:active {
    color:#212529;
    background-color:#f8f9fa;
}

#search-tags .badge {
    margin-right: 0.5rem;
    margin-bottom: 0.5rem;
}

/* Tag cloud */
@import url("https://fonts.googleapis.com/css2?family=DM+Mono:wght@300;400;500&display=swap");
.tagcloud-container-parent {
padding: 0;
margin: 0;;
color: #17141d;
font-family: "DM Mono", monospace;
width: 100%;
height: 400px;
display: grid;
place-items: center;
}
.tagcloud-container .tag-cloud .tag {
    font-size: 12px;
}

.item-url:hover {
    text-decoration:none;
}
.item-url:hover span {
    text-decoration: underline;
}

.url-preview {
    border: 1px solid #ccc;
    border-radius: 8px;
    margin-top: 5px;
    background-color: #f9f9f9;
    display: flex;
    align-items: center;
    width:80%;
}
.url-preview-icon {
    margin-right: 10px;
    margin-top: 0;
    margin-bottom: 0;
}
.url-preview-icon img {
    width: 100px; /* Aumentar el tamaño del icono */
    height: 100px; /* Asegurar que el icono sea cuadrado */
    border-radius: 4px 0 0 4px; /* Bordes redondeados solo en la esquina superior izquierda */
    object-fit: cover; /* Asegurar que la imagen cubra el área asignada */
}
.url-preview-text {
    flex: 1;
}
.url-preview-text h4 {
    margin: 0 0 5px 0;
    font-size: 16px;
}
.url-preview-text p {
    margin: 0;
    font-size: 14px;
    color: #555;
}
.url-preview-text a {
    font-size: 12px;
    color: #007bff;
    text-decoration: none;
}
.url-preview-text a:hover {
    text-decoration: underline;
}

.settings {
    display: flex;
    flex-wrap: wrap;
}
.settings-sidebar {
    width: 250px;
    background-color: #f0f0f0;
    padding: 20px;
    border-radius: 10px;
    margin: 20px;
    border: 1px solid #dee2e6; /* Bootstrap border color */
}
.settings-sidebar a {
    display: block;
    padding: 10px;
    margin-bottom: 10px;
    color: #333;
    text-decoration: none;
    border-radius: 5px;
    transition: background-color 0.3s;
}
.settings-sidebar a:hover {
    background-color: #ddd;
}
.settings-content {
    flex-grow: 1;
    padding: 20px;
    margin: 20px;
}

.device-item {
    display: flex;
    align-items: center;
    margin-bottom: 10px;
}
.device-item i {
    font-size: 24px;
    margin-right: 10px;
}
.device-info {
    flex-grow: 1;
}
.device-info p {
    margin: 0;
}

/* Otros estilos */